Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 218803 - x11-misc/lineak-kdeplugins-0.9.0 fails w/ gcc-4.3.0
Summary: x11-misc/lineak-kdeplugins-0.9.0 fails w/ gcc-4.3.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-04-21 21:47 UTC by Peter Alfredsen (RETIRED)
Modified: 2008-04-22 17:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
lineak-kdeplugins-0.9.0-gcc43.patch (lineak-kdeplugins-0.9.0-gcc43.patch,464 bytes, patch)
2008-04-21 21:48 UTC, Peter Alfredsen (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Alfredsen (RETIRED) gentoo-dev 2008-04-21 21:47:20 UTC
make[2]: Entering directory `/var/tmp/portage/x11-misc/lineak-kdeplugins-0.9.0/work/lineak-kdeplugins-0.9/kmix_plugin'
/bin/bash ../libtool --silent --mode=compile --tag=CXX i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/kde/3.5/include -I/usr/qt/3/include -I.  -I/usr/kde/3.5/include -I.. -I. -I/usr/kde/3.5/include -I/usr/qt/3/include -I.  -I/usr/kde/3.5/include -I/usr/kde/3.5/include -I/usr/qt/3/include -I.  -I/usr/kde/3.5/include -I.  -DQT_THREAD_SUPPORT  -D_REENTRANT -I/usr/include/lineak -I/usr/include   -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common  -c -o kmixplugin.lo kmixplugin.cpp
/bin/bash ../libtool --silent --mode=compile --tag=CXX i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/kde/3.5/include -I/usr/qt/3/include -I.  -I/usr/kde/3.5/include -I.. -I. -I/usr/kde/3.5/include -I/usr/qt/3/include -I.  -I/usr/kde/3.5/include -I/usr/kde/3.5/include -I/usr/qt/3/include -I.  -I/usr/kde/3.5/include -I.  -DQT_THREAD_SUPPORT  -D_REENTRANT -I/usr/include/lineak -I/usr/include   -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common  -c -o kmixclient.lo kmixclient.cpp
In file included from /usr/kde/3.5/include/klocale.h:26,
                 from kmixclient.cpp:25:
/usr/qt/3/include/qstring.h: In member function 'char QChar::latin1() const':
/usr/qt/3/include/qstring.h:194: warning: conversion to 'char' from 'int' may alter its value
/usr/qt/3/include/qstring.h: In member function 'void QChar::setCell(uchar)':
/usr/qt/3/include/qstring.h:219: warning: conversion to 'ushort' from 'int' may alter its value
/usr/qt/3/include/qstring.h: In member function 'void QChar::setRow(uchar)':
/usr/qt/3/include/qstring.h:220: warning: conversion to 'ushort' from 'int' may alter its value
/usr/qt/3/include/qstring.h: In constructor 'QChar::QChar(uchar, uchar)':
/usr/qt/3/include/qstring.h:264: warning: conversion to 'ushort' from 'int' may alter its value
/usr/qt/3/include/qstring.h: In constructor 'QStringData::QStringData(QChar*, uint, uint)':
/usr/qt/3/include/qstring.h:362: warning: conversion to 'unsigned int:30' from 'uint' may alter its value
/usr/qt/3/include/qstring.h:362: warning: conversion to 'unsigned int:30' from 'uint' may alter its value
In file included from /usr/qt/3/include/qobject.h:46,
                 from /usr/qt/3/include/qwidget.h:44,
                 from /usr/qt/3/include/qdesktopwidget.h:41,
                 from /usr/qt/3/include/qapplication.h:43,
                 from /usr/kde/3.5/include/kapplication.h:39,
                 from kmixclient.cpp:30:
/usr/qt/3/include/qevent.h: In member function 'void QDropEvent::setAction(QDropEvent::Action)':
/usr/qt/3/include/qevent.h:520: warning: conversion to 'unsigned char' from 'uint' may alter its value
In file included from /usr/qt/3/include/qwidget.h:50,
                 from /usr/qt/3/include/qdesktopwidget.h:41,
                 from /usr/qt/3/include/qapplication.h:43,
                 from /usr/kde/3.5/include/kapplication.h:39,
                 from kmixclient.cpp:30:
/usr/qt/3/include/qsizepolicy.h: In member function 'void QSizePolicy::transpose()':
/usr/qt/3/include/qsizepolicy.h:122: warning: conversion to 'uchar' from 'uint' may alter its value
/usr/qt/3/include/qsizepolicy.h:122: warning: conversion to 'uchar' from 'uint' may alter its value
kmixclient.cpp: In member function 'int KMIXClient::volumeUp(int, std::string)':
kmixclient.cpp:80: error: 'abs' was not declared in this scope
kmixclient.cpp: In member function 'int KMIXClient::volumeDown(int, std::string)':
kmixclient.cpp:98: error: 'abs' was not declared in this scope
kmixclient.cpp: In member function 'int KMIXClient::mute(std::string)':
kmixclient.cpp:119: error: 'atoi' was not declared in this scope
make[2]: *** [kmixclient.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /usr/qt/3/include/qtextstream.h:44,
                 from /usr/qt/3/include/qtl.h:44,
                 from /usr/qt/3/include/qvaluelist.h:43,
                 from /usr/qt/3/include/qstringlist.h:43,
                 from kmixplugin.cpp:19:
/usr/qt/3/include/qstring.h: In member function 'char QChar::latin1() const':
/usr/qt/3/include/qstring.h:194: warning: conversion to 'char' from 'int' may alter its value
/usr/qt/3/include/qstring.h: In member function 'void QChar::setCell(uchar)':
/usr/qt/3/include/qstring.h:219: warning: conversion to 'ushort' from 'int' may alter its value
/usr/qt/3/include/qstring.h: In member function 'void QChar::setRow(uchar)':
/usr/qt/3/include/qstring.h:220: warning: conversion to 'ushort' from 'int' may alter its value
/usr/qt/3/include/qstring.h: In constructor 'QChar::QChar(uchar, uchar)':
/usr/qt/3/include/qstring.h:264: warning: conversion to 'ushort' from 'int' may alter its value
/usr/qt/3/include/qstring.h: In constructor 'QStringData::QStringData(QChar*, uint, uint)':
/usr/qt/3/include/qstring.h:362: warning: conversion to 'unsigned int:30' from 'uint' may alter its value
/usr/qt/3/include/qstring.h:362: warning: conversion to 'unsigned int:30' from 'uint' may alter its value
In file included from /usr/qt/3/include/qobject.h:46,
                 from /usr/kde/3.5/include/dcopobject.h:27,
                 from kmixplugin.cpp:21:
/usr/qt/3/include/qevent.h: In member function 'void QDropEvent::setAction(QDropEvent::Action)':
/usr/qt/3/include/qevent.h:520: warning: conversion to 'unsigned char' from 'uint' may alter its value
In file included from /usr/qt/3/include/qwidget.h:50,
                 from /usr/qt/3/include/qdesktopwidget.h:41,
                 from /usr/qt/3/include/qapplication.h:43,
                 from /usr/kde/3.5/include/kapplication.h:39,
                 from kmixplugin.cpp:23:
/usr/qt/3/include/qsizepolicy.h: In member function 'void QSizePolicy::transpose()':
/usr/qt/3/include/qsizepolicy.h:122: warning: conversion to 'uchar' from 'uint' may alter its value
/usr/qt/3/include/qsizepolicy.h:122: warning: conversion to 'uchar' from 'uint' may alter its value
kmixplugin.cpp: In function 'void macroKMIX_VOLUP(LCommand&)':
kmixplugin.cpp:197: warning: conversion to 'float' from 'int' may alter its value
kmixplugin.cpp:198: warning: conversion to 'float' from 'int' may alter its value
kmixplugin.cpp: In function 'void macroKMIX_VOLDOWN(LCommand&)':
kmixplugin.cpp:238: warning: conversion to 'float' from 'int' may alter its value
kmixplugin.cpp:239: warning: conversion to 'float' from 'int' may alter its value
kmixplugin.cpp: In function 'void macroKMIX_MUTE(LCommand&)':
kmixplugin.cpp:269: warning: conversion to 'float' from 'int' may alter its value
kmixplugin.cpp:270: warning: conversion to 'float' from 'int' may alter its value
make[2]: Leaving directory `/var/tmp/portage/x11-misc/lineak-kdeplugins-0.9.0/work/lineak-kdeplugins-0.9/kmix_plugin'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/x11-misc/lineak-kdeplugins-0.9.0/work/lineak-kdeplugins-0.9'
make: *** [all] Error 2


Reproducible: Always

Steps to Reproduce:
Comment 1 Peter Alfredsen (RETIRED) gentoo-dev 2008-04-21 21:48:45 UTC
Created attachment 150542 [details, diff]
lineak-kdeplugins-0.9.0-gcc43.patch

Fixes the problem. Debian's version had some binary lint in it which confused epatch. This version doesn't. Otherwise it's the same content.
Comment 2 Peter Alfredsen (RETIRED) gentoo-dev 2008-04-22 17:46:57 UTC
Added emerge --info per IRC
Portage 2.1.5_rc6 (default-linux/x86/2007.0, gcc-4.3.0, glibc-2.7-r2, 2.6.23.12-hrt5 i686)
=================================================================
System uname: 2.6.23.12-hrt5 i686 AMD Sempron(tm)
Timestamp of tree: Tue, 22 Apr 2008 16:00:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.5
dev-lang/python:     2.5.2-r2
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     9999
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.25-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg ccache distlocks installsources parallel-fetch sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://pandemonium.tiscali.de/pub/gentoo/ http://mirror.gentoo.no/ http://gentoo.osuosl.org/"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS=""
LINGUAS="en da"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/misc /usr/local/portage/powertop /usr/local/portage/fonts"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi aim alsa authdaemond bash-completion berkdb bzip2 cairo cdr cjk cli cpudetection cracklib crypt css cups curl dbus djbfft dri dts dvd dvdr dvdread evdev fam ffmpeg firefox flac fortran g15 gadu gif glitz gnutls gpm hal hbci iconv icq icu idea imap isdnlog jabber java javascript jpeg kde kdeenablefinal lcd lm_sensors logitech-mouse logrotate lzo mad matroska mbox metric midi mikmod mime mmx mmxext mono moznopango mp3 mp4 mpeg mplayer msn mudflap musepack ncurses network-cron nls nocd nptl nptlonly offensive ogg openal opengl openmp oscar pam pcre pdf perl png pop ppds pppd python qt3 qt4 quicktime readline real reflection sasl sdl sensord session shorten slang smime sms speex spell spl sse ssl svg svga tcpd texteffect theora threads tiff translator truetype unicode usb vcd vorbis win32codecs wmf wxwindows x264 x86 xanim xcb xface xine xml xorg xscreensaver xv xvid yahoo zlib" ALSA_CARDS="via82xx" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="g15" LINGUAS="en da" USERLAND="GNU" VIDEO_CARDS="vesa radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Samuli Suominen gentoo-dev 2008-04-22 17:54:49 UTC
applied, thanks (had to rebuild kdelibs.. weird stuff)